{
  "schema_version": "1.4.0",
  "id": "GHSA-jvwc-xf39-g9w4",
  "modified": "2022-05-02T03:37:43Z",
  "published": "2022-05-02T03:37:43Z",
  "aliases": [
    "CVE-2009-2688"
  ],
  "details": "Multiple integer overflows in glyphs-eimage.c in XEmacs 21.4.22, when running on Windows, allow remote attackers to cause a denial of service (crash) or execute arbitrary code via (1) the tiff_instantiate function processing a crafted TIFF file, (2) the png_instantiate function processing a crafted PNG file, and (3) the jpeg_instantiate function processing a crafted JPEG file, all which trigger a heap-based buffer overflow.  NOTE: the provenance of this information is unknown; the details are obtained solely from third party information.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-2688"
    },
    {
      "type": "WEB",
      "url": "https://bugs.gentoo.org/show_bug.cgi?id=275397"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=511994"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/51332"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/51333"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/51334"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/55298"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35348"
    },
    {
      "type": "WEB",
      "url": "http://tracker.xemacs.org/XEmacs/its/issue534"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/35473"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1666"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-08-05T19:30:00Z"
  }
}